<?php
include_once "{$_SERVER['DOCUMENT_ROOT']}/common.inc.php";
include_once _SVC_INC_PATH_ ."/auth_check.php";
include_once _HOME_INC_PATH_ ."/ajax_init.php";

switch ($_REQUEST['mode']) {
  case "memberTokenLogin" :
    $retval = [];
    if( !$_REQUEST['member_id'] ){
      $retval['mesg'] = cUtil\Mlang::getText("아이디를 입력하지 않았습니다.");
    }else if( !$_REQUEST['member_auth'] ){
      $retval['mesg'] = cUtil\Mlang::getText("비밀번호를 입력하지 않았습니다.");
    }else{
      $row = $baseObj->login($_REQUEST['member_id'],$_REQUEST['member_auth']);
      if( $row ){
        if( !array_key_exists($row['member_auth'], array_merge($GLOBALS['_varsAuthMember'],$GLOBALS['_varsAuthAdmin'])) ){
          $retval['mesg'] = cUtil\Mlang::getText("아이디나 비밀번호를 확인해 주세요.");
        }else if( $row['member_status'] != 1 ){
          $retval['mesg'] = cUtil\Mlang::getText("해당 계정은 [{@1}] 상태입니다.", array($GLOBALS['_varsMemStatus'][$row['member_status']]));
        }else{
          $retval['code'] = 1;

          $tkObj = new Token();
          $retval['data']['token'] = $tkObj->putToken($_REQUEST['member_id']);
        }
      }else{  
        $retval['mesg'] = cUtil\Mlang::getText("아이디나 비밀번호를 확인해 주세요.");
      }
      $baseObj->logRec($_REQUEST['member_id'], "service", $retval['code']);

      // if( $_REQUEST['save_id'] ){
      //   $retval['data']['save_id'] = $_REQUEST['member_id'];
      // }else{
      //   $retval['data']['save_id'] = '';
      // }
    }
  break;
}

if( !$_REQUEST['no_echo'] ){
  echo json_encode($retval);
}

include "./record.php";